## Initialization Initialization |

## Functions

gboolean | ges_init ()
gboolean | ges_init_check ()
void | ges_deinit ()
void | ges_version ()

## Types and Values

#define | GES_VERSION_MAJOR
#define | GES_VERSION_MICRO
#define | GES_VERSION_MINOR
#define | GES_VERSION_NANO

## Includes

    #include <ges/ges.h>

## Description

## Functions

### ges_init ()

    gboolean
    ges_init (void);

Initialize the GStreamer Editing Service. Call this before any usage of GES. You should take care of initilizing GStreamer before calling this function.

### ges_init_check ()

    gboolean
    ges_init_check (int *argc,
                    char **argv[],
                    GError **err);

Initializes the GStreamer Editing Services library, setting up internal path lists, and loading evrything needed.

This function will return `FALSE` if GES could not be initialized for some reason.

#### Parameters

argc | pointer to application's argc. | [inout][allow-none]
argv | pointer to application's argv. | [inout][array length=argc][allow-none]
err | pointer to a GError to which a message will be posted on error |

#### Returns

`TRUE` if GES could be initialized.

### ges_deinit ()

    void
    ges_deinit (void);

Clean up any resources created by GES in `ges_init()`.

It is normally not needed to call this function in a normal application as the resources will automatically be freed when the program terminates. This function is therefore mostly used by testsuites and other memory profiling tools.

After this call GES (including this method) should not be used anymore.

### ges_version ()

    void
    ges_version (guint *major,
                 guint *minor,
                 guint *micro,
                 guint *nano);

Gets the version number of the GStreamer Editing Services library.

#### Parameters

major | pointer to a guint to store the major version number. | [out]
minor | pointer to a guint to store the minor version number. | [out]
micro | pointer to a guint to store the micro version number. | [out]
nano | pointer to a guint to store the nano version number. | [out]

## Types and Values

### GES_VERSION_MAJOR

    #define GES_VERSION_MAJOR (1)

### GES_VERSION_MICRO

    #define GES_VERSION_MICRO (1)

### GES_VERSION_MINOR

    #define GES_VERSION_MINOR (14)

### GES_VERSION_NANO

    #define GES_VERSION_NANO  (0)